Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class FixedHolder

    java.lang.Object
      org.omg.CORBA.FixedHolder

All Implemented Interfaces:
  Streamable

    public final class FixedHolder

extends Object
implements Streamable

The Holder for `Fixed`. For more information on Holder files, see "Generated Files: Holder Files".

FixedHolder is a container class for values of IDL type "fixed", which is mapped to the Java class java.math.BigDecimal. It is usually used to store "out" and "inout" IDL method parameters. If an IDL method signature has a fixed as an "out" or "inout" parameter, the programmer must pass an instance of FixedHolder as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the contained value corresponding to the "out" value returned from the server.

Field Summary
`BigDecimal` | `value` The value held by the FixedHolder

Constructor Summary
`FixedHolder()` Construct the FixedHolder without initializing the contained value.
`FixedHolder(BigDecimal initial)` Construct the FixedHolder and initialize it with the given value.

Method Summary
`void` | `_read(InputStream input)` Read a fixed point value from the input stream and store it in the value member.
`TypeCode` | `_type()` Return the `TypeCode` of this holder object.
`void` | `_write(OutputStream output)` Write the fixed point value stored in this holder to an `OutputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public BigDecimal value

  The value held by the FixedHolder

Constructor Detail

### FixedHolder

    public FixedHolder()

  Construct the FixedHolder without initializing the contained value.

### FixedHolder

    public FixedHolder(BigDecimal initial)

  Construct the FixedHolder and initialize it with the given value.

  Parameters:
    `initial` - the value used to initialize the FixedHolder

Method Detail

### _read

    public void _read(InputStream input)

  Read a fixed point value from the input stream and store it in the value member.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `input` - the `InputStream` to read from.

### _write

    public void _write(OutputStream output)

  Write the fixed point value stored in this holder to an `OutputStream`.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `output` - the `OutputStream` to write into.

### _type

    public TypeCode _type()

  Return the `TypeCode` of this holder object.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the `TypeCode` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.